document.getElementById("contactForm").addEventListener("submit", function(event) {
    let valid = true;
    let name = document.getElementById("name");
    let email = document.getElementById("email");
    let message = document.getElementById("message");

    document.getElementById("nameError").textContent = "";
    document.getElementById("emailError").textContent = "";
    document.getElementById("messageError").textContent = "";

    if (name.value.trim() === "") {
        document.getElementById("nameError").textContent = "Bitte geben Sie Ihren Namen ein.";
        valid = false;
    }
    if (!email.value.includes("@")) {
        document.getElementById("emailError").textContent = "Bitte geben Sie eine gültige E-Mail-Adresse ein.";
        valid = false;
    }
    if (message.value.trim() === "") {
        document.getElementById("messageError").textContent = "Bitte geben Sie eine Nachricht ein.";
        valid = false;
    }

    if (!valid) {
        event.preventDefault();
    }
});
